Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::HighLevelGpuProgramFactory Class Reference

Interface definition for factories of HighLevelGpuProgram. More...

`#include <OgreHighLevelGpuProgramManager.h>`

Inheritance diagram for Ogre::HighLevelGpuProgramFactory:

[legend]
List of all members.

## Public Methods

| HighLevelGpuProgramFactory ()
virtual | ~HighLevelGpuProgramFactory ()
virtual const String & | getLanguage (void) const=0
| Get the name of the language this factory creates programs for.
virtual HighLevelGpuProgram * | create (const String &name, GpuProgramType gptype)=0
virtual void | destroy (HighLevelGpuProgram *prog)=0

## Detailed Description

Interface definition for factories of HighLevelGpuProgram.

Definition at line 37 of file OgreHighLevelGpuProgramManager.h.

## Constructor & Destructor Documentation

Ogre::HighLevelGpuProgramFactory::HighLevelGpuProgramFactory | ( |  | ) |

| Definition at line 40 of file OgreHighLevelGpuProgramManager.h.

virtual Ogre::HighLevelGpuProgramFactory::~HighLevelGpuProgramFactory | ( |  | ) | `[virtual]`

| Definition at line 41 of file OgreHighLevelGpuProgramManager.h.

## Member Function Documentation

virtual HighLevelGpuProgram* Ogre::HighLevelGpuProgramFactory::create | ( | const String & | name,
|  | GpuProgramType | gptype
| ) | `[pure virtual]`

| Implemented in Ogre::CgProgramFactory, Ogre::D3D9HLSLProgramFactory, and Ogre::GLSLProgramFactory. Referenced by Ogre::HighLevelGpuProgramManager::createProgram().

virtual void Ogre::HighLevelGpuProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) | `[pure virtual]`

| Implemented in Ogre::CgProgramFactory, Ogre::D3D9HLSLProgramFactory, and Ogre::GLSLProgramFactory.

virtual const String& Ogre::HighLevelGpuProgramFactory::getLanguage | ( | void |  | ) | const`[pure virtual]`

| Get the name of the language this factory creates programs for. Implemented in Ogre::CgProgramFactory, Ogre::D3D9HLSLProgramFactory, and Ogre::GLSLProgramFactory. Referenced by Ogre::HighLevelGpuProgramManager::addFactory().

The documentation for this class was generated from the following file:

- OgreHighLevelGpuProgramManager.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:06 2004